Opened 4 months ago

Last modified 4 months ago

#14770 new feature request

Update Nuked OPL3 emulator to lastest version.

Reported by: eugene-s-nesdev Owned by:
Priority: normal Component: Audio
Version: Keywords: OPL2, YM3812, OPL3, YMF262
Cc: Game:

Description

Can you update ScummVM's Nuked-OPL3 core to lastest-master please?
There are some bugfixes and new features since 2018:
including stereo-extension, 4-ch output support and accuracy fixes like this:
nukeykt/Nuked-OPL3@f2c9873

Current scummvm files was updated 4 years ago:
https://github.com/scummvm/scummvm/blob/master/audio/softsynth/opl/nuked.cpp
https://github.com/scummvm/scummvm/blob/master/audio/softsynth/opl/nuked.h

NukeYKT current repo:
https://github.com/nukeykt/Nuked-OPL3/blob/master/opl3.c
https://github.com/nukeykt/Nuked-OPL3/blob/master/opl3.h

Change History (1)

comment:1 by lotharsm, 4 months ago

Type: defectfeature request
Note: See TracTickets for help on using tickets.